> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a service configuration



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml patch /accounts/{account_id}/service-configurations/{id}
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /accounts/{account_id}/service-configurations/{id}:
    patch:
      tags:
        - services
      summary: Updates a service configuration
      operationId: CommerceWeb.Configuration.Services.ServiceConfigurationController.patch
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: Service Configuration ID
          in: path
          name: id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceConfigurationUpdateParams'
        description: Body
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceConfigurationResponse'
          description: Success
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    ServiceConfigurationUpdateParams:
      properties:
        configuration:
          type: object
          x-struct: null
          x-validate: null
        name:
          type: string
          x-struct: null
          x-validate: null
      title: ServiceConfigurationUpdateParams
      type: object
      x-struct: >-
        Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceConfigurationUpdateParams
      x-validate: null
    ServiceConfigurationResponse:
      properties:
        account_id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        configuration:
          type: object
          x-struct: null
          x-validate: null
        id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        name:
          type: string
          x-struct: null
          x-validate: null
        service_registration_id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
      required:
        - id
        - name
        - account_id
        - service_registration_id
        - configuration
      title: ServiceConfigurationResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceConfigurationResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````